# Class ICENegociator

java.lang.Object
de.javawi.jstun.test.demo.ice.ICENegociator

public class ICENegociator extends Object

## Constructor Summary

Constructors
Constructor
Description
`ICENegociator(short componentId)`
`ICENegociator(String stunServer, int stunPort, short componentId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`gatherCandidateAddresses()`
`List<Candidate>`
`getSortedCandidates()`
`static void`
`main(String[] args)`
`void`
`prioritizeCandidates()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ICENegociator

public ICENegociator(short componentId)

### ICENegociator

public ICENegociator(String stunServer, int stunPort, short componentId)

## Method Details

### gatherCandidateAddresses

public void gatherCandidateAddresses()

### prioritizeCandidates

public void prioritizeCandidates()

### getSortedCandidates

public List<Candidate> getSortedCandidates()

### main

public static void main(String[] args)